Boomi Platform Connector API Reference (1.0.0) - ConnectorVersion
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Upload a new version of the connector group provided as one of the input data.
Note: There is a maximum of 1500 connector versions available for each account.
Create a new connector version
Use this operation to upload a new version to an existing connector group. Creating a version using this API will attach this new version to the connector group provided as one of the input data. The request format is multipart and the following data inputs are all of the parts we require for the request:
connectorVersionArchive: The connector archive .zip file.groupType: Text field for the connector group type.groupTypeis the value of the Type column of the Boomi Enterprise Platform --> Developer tab --> Connectors table without the classification. For the connector-id,accountId-connectorType-classification, the connectorType value isaccountId-connectorTypeafter omitting the classification. For example, if the Type column displays accountID-sample-uat, then thegroupTypewill be accountID-sample.changeLog: (Optional) Text field to save any relevant description about the version being uploaded.sha256Checksum: (Optional) Text field to provide asha256Checksumto validate the integrity of the uploaded file.
Authorizations:
Responses
Response Schema:
| groupType required | string |
| versionId required | string |
object (User) | |
| uploadedDate | string <date-time> |
| deleted | boolean |
| displayVersion | string |
| changeLog | string |
Response samples
- 200
- 403
- 410
- 503
{- "groupType": "string",
- "versionId": "string",
- "uploadedBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "uploadedDate": "2019-08-24T14:15:22Z",
- "deleted": false,
- "displayVersion": "2.1.2",
- "changeLog": "Testing independent key-value pairs via the API"
}Delete a connector version
Use this operation to delete a connector version by providing the connectorGroupType, which is the unique type value for the connector group that the connector version is associated with. A connector group is the parent shell that can hold multiple classifications and versions of that connector. You need to provide the versionId of the connector version that you want to delete.
You can't delete a connector version if:
It is currently being used by any classification within the connector group
It has a review status of PENDING, APPROVED, or REJECTED.
Authorizations:
Request Body schema: optional
| groupType required | string |
| versionId required | string |
object (User) | |
| uploadedDate | string <date-time> |
| deleted | boolean |
Responses
Request samples
- Payload
{- "groupType": "string",
- "versionId": "string",
- "uploadedBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "uploadedDate": "2019-08-24T14:15:22Z",
- "deleted": false
}Response samples
- 403
- 410
- 503
{- "message": "Access denied due to insufficient permissions."
}Retrieve connector versions
Use this operation to retrieve connector versions, upto 100 records
Authorizations:
Request Body schema: optional
required | object | ||||||||||
| |||||||||||
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string |
Array of objects (ConnectorVersionQuery) |
Request samples
- Payload
{- "QueryFilter": {
- "expression": {
- "argument": [
- "test-account-group1"
], - "operator": "EQUALS",
- "property": "GROUP_TYPE"
}
}
}Response samples
- 200
- 403
- 410
- 503
{- "numberOfResults": 0,
- "queryToken": "string",
- "result": [
- {
- "ConnectorVersionMetadata": {
- "strictClassLoading": "false"
}, - "carLink": "string",
- "changeLog": "string",
- "deleted": true,
- "deletedBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "deletedDate": "2019-08-24T14:15:22Z",
- "displayVersion": "string",
- "pendingConnectorReview": {
- "submittedBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "submittedDate": "2019-08-24T14:15:22Z"
}, - "releaseVersion": true,
- "reviewStatus": "APPROVED",
- "uploadedBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "uploadedDate": "2019-08-24T14:15:22Z",
- "versionId": "string"
}
]
}Retrieve additional connector versions
Use this operation to retrieve connector versions beyond first 100 records
Authorizations:
Request Body schema: text/plainrequired
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string |
Array of objects (ConnectorVersionQuery) |
Response samples
- 200
- 403
- 410
- 503
{- "numberOfResults": 0,
- "queryToken": "string",
- "result": [
- {
- "ConnectorVersionMetadata": {
- "strictClassLoading": "false"
}, - "carLink": "string",
- "changeLog": "string",
- "deleted": true,
- "deletedBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "deletedDate": "2019-08-24T14:15:22Z",
- "displayVersion": "string",
- "pendingConnectorReview": {
- "submittedBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "submittedDate": "2019-08-24T14:15:22Z"
}, - "releaseVersion": true,
- "reviewStatus": "APPROVED",
- "uploadedBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "uploadedDate": "2019-08-24T14:15:22Z",
- "versionId": "string"
}
]
}